import os
from pydantic_settings import BaseSettings, SettingsConfigDict


class Settings(BaseSettings):
    POSTGRES_USER: str
    POSTGRES_PASSWORD: str
    DATABASE_URL: str
    MINIO_ROOT_USER: str
    MINIO_ROOT_PASSWORD: str
    current_directory: str = os.getcwd()
    print(current_directory)

    model_config = SettingsConfigDict(env_file=".env")


settings = Settings()
